/*

    Copyright (C) 2003 Nikolas Zimmermann <wildfox@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

*/

#ifndef WAVEWRITER_H
#define WAVEWRITER_H

#include "readerwriter.h"

class WaveWriter : public ReaderWriter
{
public:
	WaveWriter();
	virtual ~WaveWriter();

	bool finishFile();
	bool writeWaveHeader(bool correctedHeader);

	Q_INT32 writeWaveData(Q_INT32 *buf, Q_INT32 nsamp);
	void writeBuffer(char *buf1, Q_INT32 *buf2, Q_INT32 len);

private:
	Q_UINT32 m_numSamples;
};

#endif
